# fichier d'exemple 'run' du projet

# project libs importations
import lib.ultra_mastermind_obj as libobj
import lib.ultra_mastermind_imp as libimp

# constants 
PM = "Hello, world!"
NG = 2000
N  = 400
TS = 0.5
TM = 0.01
ALPHA = 0.5
FITNESS_METHOD = 1

# main function
def main() -> None:
    # object version
    # pop = libobj.Population(pm = PM, ng = NG, n = N, ts = TS, tm = TM, alpha = ALPHA, fm = FITNESS_METHOD)
    # pop.run()

    # imperative version
    pop = libimp.new_population(PM, NG, N, TS, TM, ALPHA, FITNESS_METHOD)
    libimp.run(pop)

if __name__ == "__main__":
	main()
