# fichier de tests du projet

import matplotlib.pyplot as plt

# project libs importations
import lib.ultra_mastermind_obj as libobj
import lib.ultra_mastermind_imp as libimp

# Variation du nombre de générations
PM = "Hello, world!"
# NG = 2000
N  = 400
TS = 0.5
TM = 0.25
ALPHA = 0.5
FITNESS_METHOD = 1

fitness_ng = []
all_ng = []

for i in range(1, 21):
	NG = i * 100
	all_ng.append(NG)
	pop = libimp.new_population(PM, NG, N, TS, TM, ALPHA, FITNESS_METHOD)
	libimp.run(pop)
	fitness_ng.append(libimp.get_fitness(pop, libimp.get_best(pop)))

plt.plot(all_ng, fitness_ng)
plt.title("Fitness du meilleur individu en fonciton du nombre de générations")
plt.xlabel("Nombre de générations")
plt.ylabel("Fitness du meilleur individu")
plt.show()
